/**************************************************************
Auteur: Christophe HAMON
Site Web: www.chriss-creation.fr
Date: 18/12/10
***************************************************************/

#include <htc.h>

#define _XTAL_FREQ 4000000
#define DQ_PIN GPIO4
#define TRIS_DQ TRIS4

/*** Valeur retourne en cas d'erreurs ***/
#define ERROR 2000

/****** Reset du DS18b20 et test de prsence *****/
bit DS18B20_reset();

/**** Ecriture d'un bit *****/
void DS18B20_write_bit(char octet);

/**** Lecture d'un bit *****/
bit DS18B20_read_bit();

/**** Ecriture d'une commande *****/
void DS18B20_write_commande(char octet);

/**** Lecture octet *****/
char DS18B20_read_octet();

/**** Lecture de la temprature ****/
int DS18B20_read_temp();

/***** Test CRC ****/
char CRC_Check (char data);
